Hooks:PostHook( WeaponTweakData, "init", "AK-74ModInit", function(self)

if ( self.heffy_545 ) then

---- Bipod Stuff ----
	self.heffy_545.animations.bipod_enter = "bipod_enter"
	self.heffy_545.animations.bipod_exit = "bipod_exit"
	self.heffy_545.animations.bipod_recoil = "bipod_recoil"
	self.heffy_545.animations.bipod_recoil_enter = "bipod_recoil"
	self.heffy_545.animations.bipod_recoil_loop = "bipod_recoil_loop"
	self.heffy_545.animations.bipod_recoil_exit = "bipod_recoil_exit"
	self.heffy_545.animations.use_stance = "ak74"	
	self.heffy_545.spread.bipod = default_bipod_spread
	self.heffy_545.bipod_camera_spin_limit = 45
	self.heffy_545.bipod_camera_pitch_limit = 20
	self.heffy_545.bipod_weapon_translation = Vector3(-8.5,20,-1.5)
	self.heffy_545.bipod_deploy_multiplier = 1
	self.heffy_545.timers.deploy_bipod = 1
	
---- CAP aka YEEET ----	

--- Base stuff ---	
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, 5.3, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fl", 
        base_a_obj = "a_fl", 
        position = Vector3( -0.4, 0, -1 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_gl", 
        base_a_obj = "a_fl", 
        position = Vector3( -2.88, 27.2, -3.1 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o", 
        base_a_obj = "a_o", 
        position = Vector3( 0, -7, 0.5 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_os", 
        base_a_obj = "a_os", 
        position = Vector3( 0, 1.5, 1.1 ), 
        rotation = Rotation( 0, 10, 0 )
	})
--- Scope Mount ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_mount", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 0, 2.85 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Scopes ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_aks74u", 
        base_a_obj = "a_o", 
        position = Vector3( 0, -8.5, 0.5 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_aks74u_acog", 
        base_a_obj = "a_o", 
        position = Vector3( 0, -9.1, 0.5 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Rear sights ---
-- Override by barrel --
self:SetupAttachmentPoint("heffy_545", {
		name = "a_ro_ak107", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -2.9, -0.3 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
self:SetupAttachmentPoint("heffy_545", {
		name = "a_ro_ak107_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -1, -0.1 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
-- Override by receiver ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ro_aks74u_std", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -3.9, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Front sights ---
-- Override by receiver ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_aks74u_std", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -3.9, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_aks74u_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -22.4, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_aks74u_ak105", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -14.4, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_aks74u_rpk", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 15.6, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
-- Barrel fo positions --
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_ak105", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -10.5, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})	
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_rpk", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 19.5, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_fo_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -18.5, 0.3 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Barrels ---
-- Override by receiver --
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_b_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -3.9, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Bipods ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_bp_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -3.9, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Barrel extensions ---
-- Default positions --
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_rpk", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, 24.8, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_ak105", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -5.3, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_aks74u", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -13.3, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
-- Overide positions --
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_aks74u_std", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, 1.5, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_aks74u_rpk", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, 21, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_aks74u_aks74u", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -17.2, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_ns_aks74u_ak105", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -9.1, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
--- Stocks ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s_ak74m", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 0.875, 0.6875 ),
        rotation = Rotation( 0, 5, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 0.875, 0.6875 ),
        rotation = Rotation( 0, 5, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s_akm", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -1.4, -1.1 ), 
        rotation = Rotation( 0, -10, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s_aks74u_ak47", 
        base_a_obj = "a_body", 
        position = Vector3( 0, -0.35, -0.275 ), 
        rotation = Rotation( 0, -2.5, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s", 
        base_a_obj = "a_s", 
        position = Vector3( 0, 0, 1 ), 
        rotation = Rotation( 0, -2, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s_v_akmsu", 
        base_a_obj = "a_s", 
        position = Vector3( 0, 0, 1 ), 
        rotation = Rotation( 0, 2, 0 ) 
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_s_ak47", 
        base_a_obj = "a_body",
        position = Vector3( 0, 0, 0 ), 
        rotation = Rotation( 0, 0, 0 )
	})
--- Pistol Grips ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_g_akm", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 0, 0.1 ), 
        rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_g_aks74u", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 0.5, 0.1 ), 
        rotation = Rotation( 0, 0, 0 )
	})

--- Russian Sights ---
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_1p29",
		base_a_obj = "a_o",
		position = Vector3(0.6, -13, 0.2),
		rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_1pn93",
		base_a_obj = "a_o",
		position = Vector3(-0.7, -13, 1.55),
		rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_ekp_1s_03",
		base_a_obj = "a_o",
		position = Vector3(0, -7, -1.2),	
		rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_okp7",
		base_a_obj = "a_o",
		position = Vector3(-0.5, -5.85, -2.2),
		rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("heffy_545", {
		name = "a_o_pso1",
		base_a_obj = "a_o",
		position = Vector3(-0.7, -7, -1.2),
		rotation = Rotation(0, 0, 0)
	})
end
		
end)



